' ***********************************************************
'   Utility to toggle the SCROLL lock status on or off
'   For use with BASM -- The Free Basic to 80286 Asm Compiler
' ************************************************************

$Com

PRINT "SCROLL  Scroll Lock Toggle"

Cmd$ = UCASE$( COMMAND$ )

SELECT CASE Cmd$
  CASE ""    :  PRINT "Usage:  Scroll on | off | + | -"  :  END
  CASE "ON"  :  Stat = 1
  CASE "+"   :  Stat = 1
  CASE "OFF" :  Stat = 0
  CASE "-"   :  Stat = 0
END SELECT

DEF SEG = 0
  X = PEEK( &H417 )  'get keyboard toggles
  IF Stat THEN
    X = X OR  &B00010000
    PRINT "SCROLL LOCK is now ON"
  ELSE
    X = X AND &B11101111
    PRINT "SCROLL LOCK is now OFF"
  END IF
  POKE &H417,X      'set keyboard toggles
DEF SEG
