$Com                           'Generate code which produces a .COM file
$Source Off                    'Don't include source lines from libraries
$Include "Mouse.bas"           'Include some mouse routines
$Include "Graphics.bas"        'Include some graphics routines
$Include "HelpText.bas"        'Include the help screens
$Source On                     'Include source lines in the MAIN program

Check_Hardware                 'Check for presence of a mouse and color video

SCREEN 12                      'Switch to 640x480x16 VGA graphics mode
COLOR 0,7                      'set background color to gray
CLS                            'clear the screen

Frame3d 000,000,640,480        'main frame
Frame3d 020,040,620,440        'frame the text area
Frame3d 027,390,612,430        'frame the credit's area
Frame3d 020,443,115,467        'frame for the time
Frame3d 500,443,620,467        'frame for the date

Gtext 200,400,"BASM Version 6.0 Keywords",0,7
Gtext 83,412,"Coded entirely with BASM version 6.0 by Kevin Diggins (1998)",4,7



Face = 64

FOR x= 8 to 608 STEP 24
 INCR Face
 Face$ = CHR$(Face)
 DrawButton x,7,face$
NEXT

DrawButton 280,450,"Quit"

MouseOn


DO

  Tim$ = Time$
  Gtext 35,452,Tim$,0,7
  Day$ = Date$
  Gtext 517,452,Day$,0,7


  b = Button 008,07,"A"     : IF B Then Call Abox
  b = Button 032,07,"B"     : IF B Then Call Bbox
  b = Button 056,07,"C"     : IF B Then Call Cbox
  b = Button 080,07,"D"     : IF B Then Call Dbox
  b = Button 104,07,"E"     : IF B Then Call Ebox
  b = Button 128,07,"F"     : IF B Then Call Fbox
  b = Button 152,07,"G"     : IF B Then Call Gbox
  b = Button 176,07,"H"     : IF B Then Call Hbox
  b = Button 200,07,"I"     : IF B Then Call Ibox
  b = Button 224,07,"J"     : IF B Then Call NoHelp
  b = Button 248,07,"K"     : IF B Then Call Kbox
  b = Button 272,07,"L"     : IF B Then Call Lbox
  b = Button 296,07,"M"     : IF B Then Call Mbox
  b = Button 320,07,"N"     : IF B Then Call Nbox
  b = Button 344,07,"O"     : IF B Then Call Obox
  b = Button 368,07,"P"     : IF B Then Call Pbox
  b = Button 392,07,"Q"     : IF B Then Call NoHelp
  b = Button 416,07,"R"     : IF B Then Call Rbox
  b = Button 440,07,"S"     : IF B Then Call Sbox
  b = Button 464,07,"T"     : IF B Then Call Tbox
  b = Button 488,07,"U"     : IF B Then Call Ubox
  b = Button 512,07,"V"     : IF B Then Call Vbox
  b = Button 536,07,"W"     : IF B Then Call Wbox
  b = Button 560,07,"X"     : IF B Then Call Xbox
  b = Button 584,07,"Y"     : IF B Then Call NoHelp
  b = Button 608,07,"Z"     : IF B Then Call NoHelp
  b = Button 280,450,"Quit" : IF B Then Call Quit
LOOP




SUB Quit
MouseOff

Frame3d 200,230,400,300
DrawButton 220,270,"  OK  "
DrawButton 310,270,"CANCEL"
Gtext 230,240,"Quit This Program?",4,7
MouseOn

DO
  b = Button 220,270,"  OK  "
  IF B Then exit loop

  b = Button 310,270,"CANCEL"

  IF B Then
    MouseOff
    ClearWin
    MouseOn
    EXIT SUB
  END IF

LOOP


SCREEN 0

MouseOff
END
END SUB





SUB ClearWin
COLOR 7,7
BLANK 5,4,570,24
END SUB






SUB Check_Hardware
LOCAL a

A = Mouse

IF NOT A THEN
  PRINT "Mouse driver not found."
  END
END IF

A = VIDEOCARD

IF NOT A THEN
  PRINT "This demo requires a VGA video display"
  END
END IF

END SUB
