$COM

SCREEN 12                              ;VGA 640 x 480 Mode
ASM Mov AX,0                           ;Initialize the Mouse
ASM Int 33h
CALL SoftCursor (1,1)                  'Call our new mouse pointer
ASM Mov AX,1
ASM Int 33h                            ;Make the Mouse visible
JUNK = GETKEY                          'Wait for a keypress
SCREEN 0



SUB SoftCursor (HOTROW, HOTCOL)
DIM Mbuf(32)

FOR a = 1 TO 32
  READ Dat
  Mbuf(a) = Dat
NEXT

'==================
' SCREEN MASK DATA
'==================
data  -897                             ' 1111110001111111
data  -1985                            ' 1111100000111111
data   14399                           ' 0011100000111111
data   127                             ' 0000000001111111
data   127                             ' 0000000001111111
data   31                              ' 0000000000011111
data   31                              ' 0000000000011111
data   63                              ' 0000000000111111
data   127                             ' 0000000001111111
data   255                             ' 0000000011111111
data   511                             ' 0000000111111111
data   1023                            ' 0000001111111111
data   2047                            ' 0000011111111111
data   4095                            ' 0000111111111111
data   8191                            ' 0001111111111111
data   16383                           ' 0011111111111111
'==================
' CURSOR MASK DATA
'==================
data   0                               ' 0000000000000000
data   896                             ' 0000001110000000
data   896                             ' 0000001110000000
data   18176                           ' 0100011100000000
data   30464                           ' 0111011100000000
data   32256                           ' 0111111000000000
data   32704                           ' 0111111111000000
data   32640                           ' 0111111110000000
data   32512                           ' 0111111100000000
data   32256                           ' 0111111000000000
data   31744                           ' 0111110000000000
data   30720                           ' 0111100000000000
data   28672                           ' 0111000000000000
data   24576                           ' 0110000000000000
data   16384                           ' 0100000000000000
data   0                               ' 0000000000000000

ASM Mov AX,9                           ;USE SOFTWARE CURSOR FUNCTION
ASM Mov BX,[BP+06]                     ;LOAD  BX REG WITH HOTSPOT ROW
ASM Mov CX,[BP+04]                     ;LOAD  CX REG WITH HOTSPOT COLUMN
ASM Mov DX,Offset Mbuf + 1             ;POINT DX TO OUR CUSTOM CURSOR
ASM Mov ES,$DataSeg                    ;POINT ES REG TO OUR DATA SEGMENT
ASM Int 33h                            ;CALL THE MOUSE DRIVER
END SUB
